package simulation.avl;

public class Gps {
    public long longitude;
    public long latitude;
    public int altitude;
    public int angle;
    public int satellites;
    public int speed;


    public Gps(long longitude, long latitude, int altitude, int angle, int satellites, int speed) {
        this.longitude = longitude;
        this.latitude = latitude;
        this.altitude = altitude;
        this.angle = angle;
        this.satellites = satellites;
        this.speed = speed;
    }

    @Override
    public String toString() {
        return Avl.longToHex(this.longitude, 4) +
                Avl.longToHex(this.latitude, 4) +
                Avl.intToHex(this.altitude, 2) +
                Avl.intToHex(this.angle, 2) +
                Avl.intToHex(this.satellites, 1) +
                Avl.intToHex(this.speed, 2);
    }
}
