package simulation.avl;

public class Io {
    int id;
    long value;
    int size;
    boolean special;

    public Io(int id, long val, int size, boolean special) {
        this.id = id;
        this.value = val;
        this.size = size;
        this.special = special;
    }

    boolean isSpecial() {
        return special;
    }

    @Override
    public String toString() {
        return Avl.intToHex(this.id, 2) + (this.isSpecial() ? Avl.intToHex(this.size, 2) : "") + Avl.longToHex(this.value, this.size);
    }
}
